
Foreman - Bug #25424

API Documentation expand and collapse options

11/09/2018 11:20 AM - Melanie Corr

Status: New   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Customer is requesting that for the API docs, we introduce the option to expand and collapse all of the entries for ease of navigation.

If all resources are collapsed, a user can navigate through the docs and expand the resource that interests them, rather than

scrolling through all entries.

History

#1 - 11/26/2018 12:57 PM - Ivan Necas

- Triaged changed from No to Yes

#2 - 11/26/2018 12:58 PM - Ivan Necas

- Difficulty set to easy

We should do this, together with https://projects.theforeman.org/issues/25423 directly in Apipie, so that the whole community around it can benefit

from this change.
